<?php

declare(strict_types=1);
namespace Drupal\Tests\translation_bliss\Functional;

use Drupal\Core\File\FileSystemInterface;
use Drupal\Tests\BrowserTestBase;
use Drupal\Tests\translation_bliss\Traits\FixDriverTrait;
use Drush\TestTraits\DrushTestTrait;

final class PotxBlissTest extends BrowserTestBase {

  use FixDriverTrait;
  use DrushTestTrait;

  protected static $modules = [
    'translation_bliss',
    'potx',
  ];

  protected $defaultTheme = 'stark';

  public function testPotxBliss(): void {
    $fs = \Drupal::service(FileSystemInterface::class);
    assert($fs instanceof FileSystemInterface);
    $targetDir = $fs->getTempDirectory() . "/" . $this->randomMachineName();

    $sourceDir = \Drupal::moduleHandler()
      ->getModule('translation_bliss')
      ->getPath() . '/tests/modules/translation_bliss_test';

    $this->drush('potxx', options: ['source' => $sourceDir, 'target' => $targetDir]);
    $this->assertFileExists("$targetDir/general.pot");

    $fs->deleteRecursive($targetDir);
  }

}
